View Issue Details

IDProjectCategoryView StatusLast Update
0001841ArchBugpublic2015-01-03 18:09
ReporterbofhjrAssigned Toyorik 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformanyOSanyOS Versionany
Product Version0.14 
Target VersionFixed in Version 
Summary0001841: Clone of window cannot be fully aggregated into host wall
DescriptionFreecad is unable to calculate the clone subvolume :

Traceback (most recent call last):
  File "/home/me/src/git/free-cad-code/build/Mod/Arch/ArchWall.py", line 473, in execute
    base = self.processSubShapes(obj,base,pl)
  File "/home/me/src/git/free-cad-code/build/Mod/Arch/ArchComponent.py", line 584, in processSubShapes
    f = o.Proxy.getSubVolume(o)
<type 'exceptions.AttributeError'>: _Clone instance has no attribute 'getSubVolume'
Steps To ReproduceSee attached file : the clone window is within the wall group but no opening can be created for it.
TagsNo tags attached.

Activities

bofhjr

2014-12-01 00:39

reporter  

ProblemeCLoneWindowSubVolume.fcstd (Attachment missing)

bofhjr

2014-12-02 04:12

reporter  

0001-Aggrgation-Mur-clones-rec-de-fenetres.patch (Attachment missing)

bofhjr

2014-12-02 04:13

reporter  

0002-rendre-getSubvolume-seulement-applicable-aux-fenetre.patch (Attachment missing)

bofhjr

2014-12-02 04:28

reporter   ~0005349

I tried to correct the problem : see the two last filesI uploaded (0001-XXX and 0002-YY)...

These files are git patch files against the last head commit (640c9cbf8b5ac7811badd5ffd06aa65a5feb95ca).

What I did is first to add a getSubvolume method to the _Clone class in Draft.py and nexy to correct some tests against window types in ArchComponent.py.

I defined also a method isCLoneRec in Draft.py as I plan to use at least two levels of windiw clones .e. "Clone of Clone of window").

Next I corrected an unrelated typo in ArchComponent (one use of "placemen" instead of "placement").

Regards,

 Jean-Marie

yorik

2014-12-03 23:59

administrator   ~0005353

Cool, thanks for the work! I'll review and merge this ASAP.

Related Changesets

FreeCAD: master 9b9526e4

2015-01-03 18:40:02

yorik

Details Diff
Arch: fixed behaviour of clones of windows - fixes 0001841 Affected Issues
0001841
mod - src/Mod/Arch/ArchComponent.py Diff File
mod - src/Mod/Draft/Draft.py Diff File

Issue History

Date Modified Username Field Change
2014-12-01 00:39 bofhjr New Issue
2014-12-01 00:39 bofhjr File Added: ProblemeCLoneWindowSubVolume.fcstd
2014-12-02 04:12 bofhjr File Added: 0001-Aggrgation-Mur-clones-rec-de-fenetres.patch
2014-12-02 04:13 bofhjr File Added: 0002-rendre-getSubvolume-seulement-applicable-aux-fenetre.patch
2014-12-02 04:28 bofhjr Note Added: 0005349
2014-12-03 23:59 yorik Note Added: 0005353
2014-12-03 23:59 yorik Assigned To => yorik
2014-12-03 23:59 yorik Status new => assigned
2015-01-03 18:09 yorik Changeset attached => FreeCAD Master master 9b9526e4
2015-01-03 18:09 yorik Status assigned => closed
2015-01-03 18:09 yorik Resolution open => fixed